**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/20.1/vault-objects/object-record-attachments/update-multiple-object-record-attachment-descriptions.md

# Update Multiple Object Record Attachment Descriptions



Update object record attachments in bulk with a JSON or CSV input file. You can only update the latest version of an attachment.

* The maximum input file size is 1GB.

* The values in the input must be UTF-8 encoded.

* CSVs must follow the [standard format](https://datatracker.ietf.org/doc/html/rfc4180).

* The maximum batch size is 500.

<Endpoint path="/api/{version}/vobjects/{object_name}/attachments/batch" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `text/csv` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Body Parameters {#body-parameters}

Prepare a CSV or JSON input file.

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | The  `id` of the object record to which to add the attachment. |
| `attachment_id` | The `id` of the attachment you are updating on the record. |
| `external_id__v` | Optional: Identify attachments by their `external_id` rather than `attachment_id`. If both `attachment_id` and `external_id__v` are provided, Vault ignores `external_id`. |
| `description__v` | Optional: Description of the attachment. 1000 characters maximum. |
</FieldTable>
<DownloadButton href="/sample-files/bulk-update-object-attachments.json" label="Download Input File"></DownloadButton>

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H 'Accept: text/csv' \
-H 'Content-Type: text/csv' \
--data-binary @"create_attachments.csv" \
https://myvault.veevavault.com/api/v19.3/vobjects/veterinary_patient__c/attachments/batch

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": [
       {
           "responseStatus": "SUCCESS",
           "id": 140,
           "version": 1
       },
       {
           "responseStatus": "SUCCESS",
           "id": 141,
           "version": 1
       }
   ]
}

```
</CodeExample>

---

**Previous:** [Update Object Record Attachment Description](/clinical/vault-api/api-reference/20.1/vault-objects/object-record-attachments/update-object-record-attachment-description)  
**Next:** [Delete Object Record Attachment](/clinical/vault-api/api-reference/20.1/vault-objects/object-record-attachments/delete-object-record-attachment)